#
# spec file for package partitionmanager
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_without lang

Name:           partitionmanager
Version:        3.0.1
Release:        1.18
Url:            https://www.kde.org/applications/system/kdepartitionmanager/
Source:         http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Summary:        Easily manage disks, partitions and file systems on your KDE Desktop
License:        GPL-3.0
Group:          Productivity/File utilities
BuildRequires:  extra-cmake-modules >= 1.0.0
BuildRequires:  kf5-filesystem
BuildRequires:  libatasmart-devel
BuildRequires:  libblkid-devel
BuildRequires:  parted-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Config) >= 5.23.0
BuildRequires:  cmake(KF5ConfigWidgets) >= 5.23.0
BuildRequires:  cmake(KF5CoreAddons) >= 5.23.0
BuildRequires:  cmake(KF5Crash) >= 5.23.0
BuildRequires:  cmake(KF5DocTools) >= 5.23.0
BuildRequires:  cmake(KF5I18n) >= 5.23.0
BuildRequires:  cmake(KF5IconThemes) >= 5.23.0
BuildRequires:  cmake(KF5JobWidgets) >= 5.23.0
BuildRequires:  cmake(KF5KIO) >= 5.23.0
BuildRequires:  cmake(KF5Service) >= 5.23.0
BuildRequires:  cmake(KF5WidgetsAddons) >= 5.23.0
BuildRequires:  cmake(KF5XmlGui) >= 5.23.0
BuildRequires:  cmake(KPMcore) >= %(echo %{version} | awk -F. '{print $1"."$2}')
BuildRequires:  cmake(Qt5Core) >= 5.4.1
BuildRequires:  cmake(Qt5Gui) >= 5.4.1
BuildRequires:  cmake(Qt5Widgets) >= 5.4.1
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      partitionmanager5 < %{version}
Provides:       partitionmanager5 = %{version}

%description
This software allows you to manage your disks, partitions and
file systems: Create, resize, delete, copy, backup and restore
partitions with a large number of supported file systems (ext2/3,
reiserfs, NTFS, FAT32 and more). It makes use of external
programs to get its job done, so you might have to install
additional software (preferably packages from your distribution)
to make use of all features and get full support for all file
systems.

%lang_package

%prep
%setup -q

%build
  %cmake_kf5 -d build -- -DKDE_INSTALL_USE_QT_SYS_PATHS=OFF
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file org.kde.PartitionManager
  %if %{with lang}
    %find_lang partitionmanager
  %endif

%files
%defattr(-,root,root)
%doc README.md COPYING.GPL3
%{_kf5_bindir}/partitionmanager
%{_kf5_appstreamdir}/org.kde.PartitionManager.appdata.xml
%{_kf5_applicationsdir}/org.kde.PartitionManager.desktop
%{_kf5_configkcfgdir}/
%{_kf5_iconsdir}/hicolor/*/apps/partitionmanager.svg
%{_kf5_kxmlguidir}/partitionmanager/

%if %{with lang}
%files lang -f partitionmanager.lang
%defattr(-,root,root)
%doc %lang(et) %{_kf5_htmldir}/et/partitionmanager/
%doc %lang(es) %{_kf5_htmldir}/es/partitionmanager/
%doc %lang(ca) %{_kf5_htmldir}/ca/partitionmanager/
%doc %lang(de) %{_kf5_htmldir}/de/partitionmanager/
%doc %lang(it) %{_kf5_htmldir}/it/partitionmanager/
%doc %lang(nl) %{_kf5_htmldir}/nl/partitionmanager/
%dir %{_kf5_htmldir}/pt_BR/
%doc %lang(pt_BR) %{_kf5_htmldir}/pt_BR/partitionmanager/
%doc %lang(sv) %{_kf5_htmldir}/sv/partitionmanager/
%doc %lang(uk) %{_kf5_htmldir}/uk/partitionmanager/
%else
%files lang
%defattr(-,root,root)
%endif
%doc %lang(en) %{_kf5_htmldir}/en/partitionmanager/

%changelog
* Sat Jan  7 2017 wbauer@tmo.at
- Update to 3.0.1
* Mon Dec 19 2016 fabian@ritter-vogt.de
- Update to 3.0.0
- Sync with KDE:Unstable:Extra
- Update license to GPL-3.0
* Fri Aug 26 2016 wbauer@tmo.at
- Update to 2.2.1
- Adjust build requirements
- Add update-appstream-path-to-use-ECM-variable.patch to install
  the appstream data to the right place and use the
  %%{kf5_appstreamdir} macro for the file list
* Sun Jun 19 2016 jacobwinski@gmail.com
- Update to 2.2.0.
- Update kpmcore version requirement in spec file.
* Sun Apr  3 2016 hrvoje.senjan@gmail.com
- Update to 2.1.0
* Mon Jan 18 2016 tittiatcoke@gmail.com
- Update to 2.0.0
  * Split out the kpmcore library from the main package
* Fri May  1 2015 asterios.dramis@gmail.com
- Added new build requirement kwindowsystem-devel.
- Removed unneeded build requirement fdupes.
* Mon Apr  6 2015 hrvoje.senjan@gmail.com
- Update to 1.2.1:
  * Port to KDE Frameworks is complete
- Drop the udisks2 cmake option, no longer needed
* Thu Jul 10 2014 hrvoje.senjan@gmail.com
- Update to 1.1.0
  * Most important changes in this release are support for Btrfs
    file system and GPT partition table. This release also adds
    support for exFAT, NILFS 2 and very basic support for ZFS,
    encrypted LUKS containers and LVM2 physical volumes. There
    are some nice GUI improvements as well, partition widget
    design was improved by Hugo Pereira Da Costa.
- Enable UDisks2 backend
- Minor spec cleanup
* Tue Nov  5 2013 dmitry_r@opensuse.org
- Add partitionmanager-lang as recommended dependence
* Mon Oct  4 2010 bitshuffler@opensuse.org
- Updated to 1.0.3
  * Make sure available and used capacity are not printed in a partition's
    properties dialog if they are not known
  * Make sure fsck.msdos does not want to modify a file system when it is being
    called to read the file system usage
  * Warn the user when trying to overwrite an existing partition with another or
    an image file
  * Clear the clipboard if undoing an operation deleted the partition that was in it
  * Keep the current UUID when resizing a swap partition
  * Fix the build by explicitly linking the partition manager executable against
    the KDE libs it uses
  * Do not allow pasting a source partition on a bigger target partition when the
    source partition's file system cannot be grown to fill the target partition
* Sun Jul 25 2010 bitshuffler@opensuse.org
- Updated to 1.0.2
  * Copy a file system's UUID to the copied file system when creating a file
    system from another one.
  * Implement a workaround for a libparted bug that makes it sometimes fail to
    commit changes to the OS in versions earlier than 2.2.
  * Update the partition's file system and re-check for constraints if the
    partition's role is changed in the "Create New Partition" dialog. This fixes
    a bug where the user was not able to grow an extended partition if he'd
    previously selected a file system that cannot grow beyond a certain size.
  * Always use the correct icons in modified ok/cancel buttons in dialogs and
    message boxes
  * Fix a crash when operations to create, resize and delete an extended
    partitions where incorrectly merged into one (bug 232092)
* Sun Jan 10 2010 rwooninck@opensuse.org
- Updated to 1.0.1
  - Fix a bug that made it impossible to activate or deactivate a
    swap file system.
  - Correctly handle linux swap even with newer parted versions.
  - Ask for an administrator's password on startup so that non-KDE
    users can run the application from their launcher.
  - Use the "blkid" command as an alternative to "vol_id" if the
    latter is unavailable.
  - Do not crash when using the Oxygen style under KDE SC 4.4.
  - Do not crash when the user clicks in the partition widget with
    newer g++ versions.
  - Sort devices by name after scanning.
  - Don't disable updates for the partition widget while applying
    operations. This leads to corrupted graphics unter Qt4.6.
  - Work around a LibParted segmentation fault when the Linux Device
    Mapper is used and /dev/mapper has non-existing entries.
  - The above also works around a LibParted problem when the BIOS has
    a floppy drive configured but none is actually present.
  - Set item height in the partition and devices lists to 32 pixel
    to make them look less condensed.
* Thu Oct  8 2009 bitshuffler@opensuse.org
- Updated to 1.0.0
  - Many translations heavily improved.
  - Correctly handle ext4 file systems even with patched parted 1.8.8 (and hopefully 1.8.9 too). Patch by Fatih Asici. (bug #195243)
  - Clear the partition flags for a copied partition in the preview. (bug #202346)
  - Write the new start sector to the partition's boot sector if an NTFS file system was moved or copied. (bug #202329)
* Sun Jun  7 2009 tittiatcoke@gmail.com
- Moved to KDE:KDE4:Community
* Sun Jun  7 2009 tittiatcoke@gmail.com
- moved to KDE:KDE4:Community
  + version 1.0.0beta3
  - Set the default file system in the New-Partition-dialog, don't just rely on it being the first one in the list.
  - Sort items in file system combo boxes case-insensitively.
  - Fix a bug where the total free space available could get smaller and smaller when moving an existing partition in a dialog.
  - Fix a bug that the progress information wasn't set as window title for the top level application window.
  - Speed up copying file systems (and thus moving, resizing and copying).
  - Add some basic timing output to the detailed report for copying file systems.
  - Find a file system's mount point even if it is identified by label in fstab.
  - Add support for reading file system labels from FAT16 and FAT32.
  - Fix a bug where the volume label for a linuxswap file system was lost when resizing it.
  - Make sure all interesting information shown in labels anywhere in the application is user-selectable with the mouse.
  - Display the UUID for most file systems that support it.
  - Always show the current file system in the partition properties dialog's file system combo box, even if it cannot be created, is too big or too small.
* Wed Jun  3 2009 vl@fidra.de
- new upstream version
* Wed Apr 29 2009 vl@fidra.de
- new upstream version
* Tue Jan 13 2009 vl@fidra.de
- modified for opensuse build service
* Mon Jan 12 2009 toni@links2linux.de
- update to 1.0.0beta1
* Tue Sep 23 2008 toni@links2linux.de
- update to 1.0.0alpha2
* Thu Sep 18 2008 toni@links2linux.de
- initial build for 1.0.0-Alpha1
